<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ActionLink extends \Google\Protobuf\Internal\Message
{
    


    protected $url = null;
    


    protected $buttonTitle = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getUrl()
    {
        return isset($this->url) ? $this->url : '';
    }

    public function hasUrl()
    {
        return isset($this->url);
    }

    public function clearUrl()
    {
        unset($this->url);
    }

    




    public function setUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->url = $var;

        return $this;
    }

    



    public function getButtonTitle()
    {
        return isset($this->buttonTitle) ? $this->buttonTitle : '';
    }

    public function hasButtonTitle()
    {
        return isset($this->buttonTitle);
    }

    public function clearButtonTitle()
    {
        unset($this->buttonTitle);
    }

    




    public function setButtonTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->buttonTitle = $var;

        return $this;
    }

}

